Page MenuHomeFreeBSD

iavf(4): Split source and update to 3.0.26-k
ClosedPublic

Authored by erj on Feb 13 2021, 12:15 AM.

Details

Summary

The iavf(4) driver now uses a different source base from ixl(4), since
it will be the standard VF driver for new Intel Ethernet products going forward,
including ice(4).

Since it now uses different source code, this commit adds a new sys/dev/iavf
entry, but it re-uses the existing module name so no configuration changes are
necessary.

Signed-off-by: Eric Joyner <erj@FreeBSD.org>

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

erj requested review of this revision.Feb 13 2021, 12:15 AM
erj added a child revision: D28637: iavf: Add Doxyfile.
erj planned changes to this revision.Feb 18 2021, 5:45 AM
erj added inline comments.
sys/dev/iavf/if_iavf_iflib.c
851

This needs to be updated to RXTX

erj retitled this revision from iavf: Split source and update to 3.0.26 to iavf(4): Split source and update to 3.0.26-k.Sep 23 2021, 12:42 AM

Make RXTX change and update commit message.

kbowling added a subscriber: kbowling.

Concept ACK. I don't have anything to test it on at the moment.

  • Rebase on main
  • Fix compile errors
This revision is now accepted and ready to land.Wed, Nov 10, 6:36 PM
This revision now requires review to proceed.Tue, Nov 23, 10:49 PM
This revision was not accepted when it landed; it landed in state Needs Review.Wed, Nov 24, 7:55 PM
This revision was automatically updated to reflect the committed changes.